"""
    News Desk Product - Aviation News Decoder
    
File Format:

##--------- AVIATION NEWS Here --------------------------
##<--------HEADLINES NO WIDER THAN THIS----------------->
http://www.Aero-News.net
Aero-News.Net: If You Don't See It Here, It's History!

http://www.AERO-NEWS.net
Eclipse's Raburn, Airplane Guy

http://www.AERO-NEWS.net
Micco Delivers Second, Third Planes

http://www.AERO-NEWS.net
Will the "Bede Syndrome" Kill the SportPlane Market?
"""
# $Id: Aviation.py,v 1.2 2001/10/21 13:35:00 adrian Exp $
#
# $Log: Aviation.py,v $
# Revision 1.2  2001/10/21 13:35:00  adrian
# no message
#
#
__version__ = '$Revision: 1.2 $'[11:-2]

import Globals
import string
import BaseParser

class Aviation(BaseParser.BaseParser):
    """ """
    name = 'Aviation'
    server = 'SportFlyer.com'
    sample = 'ticker.txt'
    sources = {
        'default': '/news/ticker.txt',
    }

    def close(self):
        """ """
        sifted = string.split(self.data, "\n")
        P = 0
        while P < len(sifted):
            sifted[P] = string.strip(sifted[P])
            if not sifted[P]:
                del sifted[P]
            elif sifted[P][0]=='#':
                del sifted[P]
            else:
                P = P + 1
        P = 0
        L = len(sifted)
        while P < L-1:
            url = string.strip(sifted[P])
            headline = sifted[P+1]
            self.Stories.append({'url':url, 'headline':string.strip(headline), 'body':''})
            P = P + 2

BaseParser.registerParser(Aviation)
