"""
    News Desk Product - e.Tel File Decoder
    
File Format:

http://www.pcquote.com
MARKET   : DJIA 11188.96 +6.22
http://www.pcquote.com
MARKET   : NASDAQ 4042.99 -10.29
http://www.newsclicker.com
FREE   : Get this clicker free for your site!
http://www.abcnews.go.com/sections/us/DailyNews/tailhook000825.html
TOP NEWS : Navy Investigates New Tailhook Claim
http://www.abcnews.go.com/sections/us/DailyNews/wildfires000825.html
"""
# $Id: ETel.py,v 1.2 2001/10/21 13:35:00 adrian Exp $
#
# $Log: ETel.py,v $
# Revision 1.2  2001/10/21 13:35:00  adrian
# no message
#
#
__version__ = '$Revision: 1.2 $'[11:-2]

from string import split, strip
import BaseParser

class ETel(BaseParser.BaseParser):
    """ """
    name = 'ETel'
    server = 'etelserver.net'
    sample = 'headlines.txt'
    sources = {
        'default': '/fast/headlines.txt',
    }

    def close(self):
        """ """
        sifted = split(self.data, "\n")
        P = 0
        L = len(sifted)
        while P < L-1:
            url = strip(sifted[P])
            try:
                headline, body = split(sifted[P+1], ':', 1)
            except:
                headline = sifted[P+1]
                body = ''
            self.Stories.append({'url':url, 'headline':strip(headline), 'body':strip(body)})
            P = P + 2

BaseParser.registerParser(ETel)
