"""
    News Desk Product - WebTicker Decoder
    
File Format:

NOLINK
Last News Update Was Mon Aug 28 15:40:19 EDT 2000

http://www.webticker.com/cgibin/banner.cgi?url=http://www.webticker.com/&user=webticker&log=webticker
Support Charity! Add Any of 16 Webtickers to your site! FREE!
##<--------HEADLINES NO WIDER THAN THIS----------------->
http://dailynews.yahoo.com/h/nm/20000828/wl/russia_fire_dc_12.html
Yahoo! - Flames Out at Moscow TV Tower, Two Confirmed Dead
http://dailynews.yahoo.com/h/nm/20000828/wl/un_peacesummit_dc_2.html
Yahoo! - World's Religious Leaders in NY Without Dalai Lama
http://dailynews.yahoo.com/h/nm/20000828/wl/lockerbie_leadall_dc_7.html
Yahoo! - Lockerbie Trial Deadlocked Over CIA Documents
http://dailynews.yahoo.com/h/nm/20000828/wl/clinton_africa_dc_4.html
Yahoo! - Clinton Appeals for Peace on Africa Tour
http://www.webticker.com/cgibin/banner.cgi?url=http://www.webticker.com/icbl/icbl2&user=icbl2&log=icbl2
Youth: it's our world!  Sign Youth Against War Treaty! 
http://dailynews.yahoo.com/h/nm/20000828/wl/burundi_violence_dc_4.html
Yahoo! - Burundi Peace Deal Signed, But Some Tutsis Say No
http://dailynews.yahoo.com/h/nm/20000828/wl/mideast_jerusalem_dc_3.html
"""
# $Id: WebTicker.py,v 1.2 2001/10/21 13:35:00 adrian Exp $
#
# $Log: WebTicker.py,v $
# Revision 1.2  2001/10/21 13:35:00  adrian
# no message
#
#
__version__ = '$Revision: 1.2 $'[11:-2]

from string import split, strip
import BaseParser

class WebTicker(BaseParser.BaseParser):
    """ """
    name = 'WebTicker'
    server = 'www.webticker.com'
    sample = 'worldnews.txt'
    sources = {
        'default': '/cgibin/worldnews.txt',
    }

    def close(self):
        """ """
        sifted = split(self.data, "\n")
        P = 0
        del sifted[0:5]
        while P < len(sifted):
            sifted[P] = strip(sifted[P])
            if not sifted[P]:
                del sifted[P]
            elif sifted[P][0]=='#':
                del sifted[P]
            else:
                P = P + 1
        P = 0
        L = len(sifted)
        while P < L-1:
            url = strip(sifted[P])
            headline = sifted[P+1]
            self.Stories.append({'url':url, 'headline':strip(headline), 'body':''})
            P = P + 2

BaseParser.registerParser(WebTicker)
