"""
    News Desk Product - Parsers

All parsers should live in this folder. This will automatically import
every python file in this folder.
"""
# $Id: __init__.py,v 1.2 2001/10/21 13:35:00 adrian Exp $
#
# $Log: __init__.py,v $
# Revision 1.2  2001/10/21 13:35:00  adrian
# no message
#
#
__version__ = '$Revision: 1.2 $'[11:-2]

import BaseParser

from os import listdir
from os.path import splitext
from Globals import package_home
from sys import modules

ParserList = BaseParser.ParserList

banlist = ('__init__', 'BaseParser')
Parsers = map(splitext, listdir(package_home(globals())))
Parsers = filter(lambda (name, ext): (ext == '.py' and
                                      name not in banlist), Parsers)
Parsers = map(lambda (name, ext): name, Parsers)
Parsers.sort()
for item in Parsers:
    if item in modules.keys():
        reload("Products.NewsDesk.Parsers.%s" % item)
    else:
        exec "import %s" % (item, ) 

