"""
    News Desk Product - Star Trek News Decoder
    
File Format:

*** Add this Ticker to your Trek Web Page - FREE - Click Here ***
http://www.treknews.com/cgi-bin/ticker.pl?url=www.treknews.com/ticker/index.html
TREKNEWSticker - Today's Headlines
http://www.treknews.com/cgi-bin/ticker.pl?url=www.treknews.com
BREAKING NEWS: Cris-Craft Buyout Puts Voyager Season 7 in Danger
http://www.treknews.com/cgi-bin/newspro/viewnews.cgi?newsid966276891,54961,
TrekNews.com's Jane Hamilton interviews Tim Russ
http://www.treknews.com/feature/timruss.shtml
"""
# $Id: StarTrek.py,v 1.2 2001/10/21 13:35:00 adrian Exp $
#
# $Log: StarTrek.py,v $
# Revision 1.2  2001/10/21 13:35:00  adrian
# no message
#
#
__version__ = '$Revision: 1.2 $'[11:-2]

from string import split, strip
import BaseParser

class StarTrek(BaseParser.BaseParser):
    """ """
    name = 'StarTrek'
    server = 'www.treknews.com'
    sample = 'tn-headlines.txt'
    sources = {
        'default': '/headlines/headlines.txt',
    }

    def close(self):
        """ """
        sifted = split(self.data, "\n")
        P = 0
        while P < len(sifted):
            sifted[P] = strip(sifted[P])
            if not sifted[P]:
                del sifted[P]
            elif sifted[P][0:2]=='**':
                del sifted[P:P+2]
            else:
                P = P + 1
        P = 0
        L = len(sifted)
        while P < L-1:
            headline = sifted[P]
            url = strip(sifted[P+1])
            self.Stories.append({'url':url, 'headline':strip(headline), 'body':''})
            P = P + 2

BaseParser.registerParser(StarTrek)
